//
// Qt Example Application: menu
//


#ifndef MENU_H
#define MENU_H

#include <qwidget.h>
#include <qmenubar.h>
#include <qlabel.h>


class MenuExample : public QWidget
{
    Q_OBJECT
public:
    MenuExample( QWidget *parent=0, const char *name=0 );

public slots:
    void    open();
    void    close();
    void    undo();
    void    redo();
    void    about();

protected:
    void    resizeEvent( QResizeEvent * );

signals:
    void    explain( const char * );

private:
    QMenuBar *menu;
    QLabel   *label;
};


#endif // MENU_H
